import request from '@/utils/request'

// 查询树状字典列表
export function listDicttree(query) {
  return request({
    url: '/system/dicttree/list',
    method: 'get',
    params: query
  })
}

// 导出树状字典
export function exportDicttree(query) {
  return request({
    url: '/system/dicttree/export',
    method: 'get',
    params: query
  })
}

// 查询树状字典详细
export function getDicttree(id) {
  return request({
    url: '/system/dicttree/get/' + id,
    method: 'get'
  })
}

// 新增树状字典
export function addDicttree(data) {
  return request({
    url: '/system/dicttree/add',
    method: 'post',
    data: data
  })
}

// 修改树状字典
export function updateDicttree(data) {
  return request({
    url: '/system/dicttree/edit',
    method: 'post',
    data: data
  })
}

// 删除树状字典
export function delDicttree(id) {
  return request({
    url: '/system/dicttree/remove/' + id,
    method: 'get'
  })
}

// 查询树状字典列表(树)
export function tree(query) {
  return request({
    url: '/system/dicttree/tree',
    method: 'get',
    params: query
  })
}

// 查询单个树状字典详细(树)
export function dictClassTree(dictClass) {
  return request({
    url: '/system/dicttree/dictClassTree/' + dictClass,
    method: 'get'
  })
}

// 查询单个树状字典详细(列表)
export function dictClassList(dictClass, query) {
  let q = query ? JSON.parse(JSON.stringify(query)) : {};
  q.dictClass = dictClass;
  return request({
    url: '/system/dicttree/list',
    method: 'get',
    params: q
  })
}
